Gecode::Search::Seq::Probe< Tracer >::Node Class Reference

Node in the search tree for LDS More...

`#include <lds.hh>`

## Public Member Functions

| Node (void)
| Default constructor.
| Node (Space *s, const Choice *c, unsigned int a, unsigned int nid)
| Initialize with node s, choice c, and alternative a.
Space * | space (void) const
| Return space.
const Choice * | choice (void) const
| Return choice.
unsigned int | alt (void) const
| Return next alternative.
unsigned int | nid (void) const
| Return node identifier.
void | next (void)
| Set next alternative

## Detailed Description

template<class Tracer>
class Gecode::Search::Seq::Probe< Tracer >::Node

Node in the search tree for LDS

Definition at line 50 of file lds.hh.

## Constructor & Destructor Documentation

## Node() [1/2]

template<class Tracer>

Gecode::Search::Seq::Probe< Tracer >::Node::Node | ( | void |  | ) |

inline

Default constructor.

Definition at line 44 of file lds.hpp.

## Node() [2/2]

template<class Tracer>

Gecode::Search::Seq::Probe< Tracer >::Node::Node | ( | Space * | s,
|  | const Choice * | c,
|  | unsigned int | a,
|  | unsigned int | nid )

inline

Initialize with node s, choice c, and alternative a.

Definition at line 48 of file lds.hpp.

## Member Function Documentation

## space()

template<class Tracer>

Space * Gecode::Search::Seq::Probe< Tracer >::Node::space | ( | void |  | ) | const

inline

Return space.

Definition at line 54 of file lds.hpp.

## choice()

template<class Tracer>

const Choice * Gecode::Search::Seq::Probe< Tracer >::Node::choice | ( | void |  | ) | const

inline

Return choice.

Definition at line 60 of file lds.hpp.

## alt()

template<class Tracer>

unsigned int Gecode::Search::Seq::Probe< Tracer >::Node::alt | ( | void |  | ) | const

inline

Return next alternative.

Definition at line 66 of file lds.hpp.

## nid()

template<class Tracer>

unsigned int Gecode::Search::Seq::Probe< Tracer >::Node::nid | ( | void |  | ) | const

inline

Return node identifier.

Definition at line 72 of file lds.hpp.

## next()

template<class Tracer>

void Gecode::Search::Seq::Probe< Tracer >::Node::next | ( | void |  | ) |

inline

Set next alternative

Definition at line 78 of file lds.hpp.

The documentation for this class was generated from the following files:

- gecode/search/seq/lds.hh
- gecode/search/seq/lds.hpp